<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'ardora', language 'ca'
 *
 * @package    mod_ardora
 * @copyright  2024 José Manuel Bouzán Matanza
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['clicktodownload'] = 'Fes clic en l\'enllaç {$a} per descarregar el fitxer.';
$string['clicktoopen2'] = 'Fes clic en l\'enllaç {$a} per veure el fitxer.';
$string['configdisplayoptions'] = 'Selecciona totes les opcions que haurien d\'estar disponibles, les configuracions existents no es modificaran. Mantingueu premuda la tecla CTRL per seleccionar diversos camps.';
$string['configframesize'] = 'Quan es mostra una pàgina web o un fitxer carregat dins d\'un marc, aquest valor és l\'alçada (en píxels) del marc superior (que conté la navegació).';
$string['configparametersettings'] = 'Això estableix el valor predeterminat per al panell de configuració de Paràmetres en el formulari a l\'afegir nous ardoras. Després de la primera vegada, això es converteix en una preferència individual de l\'usuari.';
$string['configpopup'] = 'Quan afegiu un nou ardora que es pot mostrar en una finestra emergent, hauria d\'estar aquesta opció activada per defecte?';
$string['configpopupdirectories'] = 'Haurien les finestres emergents de mostrar enllaços de directoris per defecte?';
$string['configpopupheight'] = 'Quina hauria de ser l\'alçada predeterminada per a les noves finestres emergents?';
$string['configpopuplocation'] = 'Haurien les finestres emergents de mostrar la barra d\'ubicació per defecte?';
$string['configpopupmenubar'] = 'Haurien les finestres emergents de mostrar la barra de menús per defecte?';
$string['configpopupresizable'] = 'Haurien les finestres emergents de ser redimensionables per defecte?';
$string['configpopupscrollbars'] = 'Haurien les finestres emergents de ser desplaçables per defecte?';
$string['configpopupstatus'] = 'Haurien les finestres emergents de mostrar la barra d\'estat per defecte?';
$string['configpopuptoolbar'] = 'Haurien les finestres emergents de mostrar la barra d\'eines per defecte?';
$string['configpopupwidth'] = 'Quina hauria de ser l\'amplada predeterminada per a les noves finestres emergents?';
$string['contentheader'] = 'Contingut';
$string['displayoptions'] = 'Opcions de visualització disponibles';
$string['displayselect'] = 'Visualització';
$string['displayselect_help'] = 'Aquesta configuració, juntament amb el tipus de fitxer i si el navegador permet la inserció, determina com es mostra el fitxer. Les opcions poden incloure:

 * Automàtic: Es selecciona automàticament la millor opció de visualització per al tipus de fitxer.
 * Incrustar: El fitxer es mostra dins de la pàgina sota la barra de navegació juntament amb la descripció del fitxer i qualsevol bloc.
 * Forçar descàrrega: Es sol·licita a l\'usuari que descarregui el fitxer.
 * Obrir: Només es mostra el fitxer a la finestra del navegador.
 * En finestra emergent: El fitxer es mostra en una nova finestra del navegador sense menús ni barra d\'adreces.
 * En marc: El fitxer es mostra dins d\'un marc sota la barra de navegació i la descripció del fitxer.
 * Nova finestra: El fitxer es mostra en una nova finestra del navegador amb menús i una barra d\'adreces.';
$string['displayselect_link'] = 'mod/file/mod';
$string['displayselectexplain'] = 'Trieu el tipus de visualització, malauradament no tots els tipus són adequats per a tots els fitxers.';
$string['dnduploadardora'] = 'Crear fitxer ardora';
$string['encryptedcode'] = 'Codi encriptat';
$string['filenotfound'] = 'Fitxer no trobat, disculpeu.';
$string['filterfiles'] = 'Utilitzar filtres en el contingut del fitxer';
$string['filterfilesexplain'] = 'Seleccioneu el tipus de filtratge de contingut del fitxer, tingueu en compte que això pot causar problemes amb algunes aplicacions Flash i Java. Assegureu-vos que tots els fitxers de text estiguin en codificació UTF-8.';
$string['filtername'] = 'Autoenllaç de noms d\'ardora';
$string['forcedownload'] = 'Forçar descàrrega';
$string['framesize'] = 'Alçada del marc';
$string['indicator:cognitivedepth'] = 'Profunditat cognitiva del fitxer';
$string['indicator:cognitivedepth_help'] = 'Aquest indicador es basa en la profunditat cognitiva assolida per l\'estudiant en un ardora de fitxer.';
$string['indicator:cognitivedepthdef'] = 'Profunditat cognitiva del fitxer';
$string['indicator:cognitivedepthdef_help'] = 'El participant ha assolit aquest percentatge del compromís cognitiu ofert pels ardoras de fitxer durant aquest interval d\'anàlisi (Nivells = Sense vista, Vista)';
$string['indicator:cognitivedepthdef_link'] = 'Learning_analytics_indicators#Cognitive_depth';
$string['indicator:socialbreadth'] = 'Amplitud social del fitxer';
$string['indicator:socialbreadth_help'] = 'Aquest indicador es basa en l\'amplitud social assolida per l\'estudiant en un ardora de fitxer.';
$string['indicator:socialbreadthdef'] = 'Amplitud social del fitxer';
$string['indicator:socialbreadthdef_help'] = 'El participant ha assolit aquest percentatge del compromís social ofert pels ardoras de fitxer durant aquest interval d\'anàlisi (Nivells = Sense participació, Participant sol)';
$string['indicator:socialbreadthdef_link'] = 'Learning_analytics_indicators#Social_breadth';
$string['legacyfiles'] = 'Migració de fitxers de cursos antics';
$string['legacyfilesactive'] = 'Actiu';
$string['legacyfilesdone'] = 'Finalitzat';
$string['modifieddate'] = 'Modificat {$a}';
$string['modulename'] = 'Ardora';
$string['modulename_help'] = 'Ajuda explicativa aquí';
$string['modulename_link'] = 'mod/ardora/view';
$string['modulenameplural'] = 'Fitxers';
$string['notmigrated'] = 'Aquest tipus d\'ardora heretat ({$a}) encara no ha estat migrat, disculpeu.';
$string['optionsheader'] = 'Opcions de visualització';
$string['page-mod-ardora-x'] = 'Qualsevol pàgina del mòdul de fitxers';
$string['pluginadministration'] = 'Administració del mòdul de fitxers';
$string['pluginname'] = 'Ardora';
$string['popupheight'] = 'Alçada de la finestra emergent (en píxels)';
$string['popupheightexplain'] = 'Especifica l\'alçada predeterminada de les finestres emergents.';
$string['popupwidth_desc'] = 'Amplada predeterminada de la finestra emergent (en píxels).';
$string['popupheight_desc'] = 'Alçada predeterminada de la finestra emergent (en píxels).';
$string['popupardora'] = 'Aquest ardora hauria d\'aparèixer en una finestra emergent.';
$string['popupardoralink'] = 'Si no apareix, fes clic aquí: {$a}';
$string['popupwidth'] = 'Amplada de la finestra emergent (en píxels)';
$string['popupwidthexplain'] = 'Especifica l\'amplada predeterminada de les finestres emergents.';
$string['printintro'] = 'Mostrar descripció de l\'ardora';
$string['printintroexplain'] = 'Mostrar la descripció de l\'ardora sota el contingut? Alguns tipus de visualització poden no mostrar la descripció encara que estigui activada.';
$string['privacy:metadata'] = 'El plugin ardora de fitxers no emmagatzema cap dada personal.';
$string['ardora:addinstance'] = 'Afegir un nou ardora';
$string['ardoracontent'] = 'Fitxers i subcarpetes';
$string['ardoradetails_sizetype'] = '{$a->size} {$a->type}';
$string['ardoradetails_sizedate'] = '{$a->size} {$a->date}';
$string['ardoradetails_typedate'] = '{$a->type} {$a->date}';
$string['ardoradetails_sizetypedate'] = '{$a->size} {$a->type} {$a->date}';
$string['ardora:exportardora'] = 'Exportar ardora';
$string['ardora:view'] = 'Veure ardora';
$string['ardora:grade'] = 'Qualificar els lliuraments d Ardora';
$string['passinggrade'] = 'Aprovat';
$string['passinggrade_help'] = 'Qualificació mínima que ha dassolir un usuari per considerar superada lactivitat.';
$string['invalidpassinggrade'] = 'La qualificació de superació ha de ser un número entre 0 i 100.';
$string['completionpassgrade'] = 'L\'estudiant ha d\'aconseguir la qualificació d\'aprovació per completar aquesta activitat.';
$string['completionpassgrade_help'] = 'Si aquesta opció està activada, l\'activitat es considerarà completada només quan l\'estudiant aconsegueixi la qualificació d\'aprovació establerta.';
$string['maximumgrade'] = 'Qualificació màxima';
$string['maximumgrade_help'] = 'Especifiqueu la qualificació màxima que es pot obtenir en aquesta activitat.';

$string['gradingoptions'] = 'Opcions d\'avaluació';
$string['search:activity'] = 'Ardora';
$string['selectmainfile'] = 'Si us plau, selecciona el fitxer principal fent clic a la icona al costat del nom del fitxer.';
$string['showdate'] = 'Mostrar data de càrrega/modificació';
$string['showdate_desc'] = 'Mostrar la data de càrrega/modificació a la pàgina del curs?';
$string['showdate_help'] = 'Mostra la data de càrrega/modificació al costat dels enllaços al fitxer.

Si hi ha múltiples fitxers en aquest ardora, es mostra la data de càrrega/modificació del fitxer principal.';
$string['showsize'] = 'Mostrar mida';
$string['showsize_help'] = 'Mostra la mida del fitxer, com ara "3.1 MB", al costat dels enllaços al fitxer.

Si hi ha múltiples fitxers en aquest ardora, es mostra la mida total de tots els fitxers.';
$string['showsize_desc'] = 'Mostrar la mida del fitxer a la pàgina del curs?';
$string['showtype'] = 'Mostrar tipus';
$string['showtype_desc'] = 'Mostrar el tipus de fitxer (per exemple, "Document de Word") a la pàgina del curs?';
$string['showtype_help'] = 'Mostra el tipus de fitxer, com ara "Document de Word", al costat dels enllaços al fitxer.

Si hi ha múltiples fitxers en aquest ardora, es mostra el tipus del fitxer principal.

Si el tipus de fitxer no és conegut pel sistema, no es mostrarà.';
$string['uploadeddate'] = 'Carregat {$a}';
$string['embedheightexplain'] = 'L\'alçada del marc de l\'escenari.';
$string['embedwidthexplain'] = 'L\'amplada del marc de l\'escenari.';
$string['embedwidth'] = 'Amplada';
$string['embedheight'] = 'Alçada';
$string['courseidnotfound'] = "No s'ha trobat l'identificador del curs.";
